<template>
  <div class="w-max icon-container">
    <I18nFlagFr
      v-if="lang === 'fr'"
      :width="width"
      :height="height"
      :alt="`${[$i18n.locale]} flag icon`"
    />
    <I18nFlagEn
      v-if="lang === 'en'"
      :width="width"
      :height="height"
      :alt="`${[$i18n.locale]} flag icon`"
    />
  </div>
</template>

<script>
import BaseIcon from './BaseIcon.vue'
import I18nFlagEn from './I18nFlagEn.vue'
import I18nFlagFr from './I18nFlagFr.vue'

/**
 * I18nFlag icon
 */
export default {
  name: 'I18nFlagIcon',
  components: {
    I18nFlagFr,
    I18nFlagEn
  },
  extends: BaseIcon,
  props: {
    /**
     * lang
     */
    lang: {
      type: String,
      default () {
        return this.CONFIG.I18N.FALLBACK_LOCALE
      }
    }
  }
}
</script>
